<?php
declare(strict_types=1);

namespace app\common\model;

use think\Model;

class StockLog Extends Model
{
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = true;
    protected $createTime = 'createtime';
    protected $updateTime = 'updatetime';

    protected $type = [
        'createtime'     =>  'timestamp:Y-m-d H:i',
        'updatetime'     =>  'timestamp:Y-m-d H:i',
    ];


    public function stockconfig()
    {
        return $this->hasOne(StockConfig::class,'id','variety_id')->field('id,title');
    }
    
}
